import {getData} from "@/cms";
import Home from "@/templates/Home";
import HomePage, {HomePageData} from "@/types/cms/home";
import {NextPageContext} from "next";

export default async function Page() {
	const data = await getData<HomePageData>("home", "ar");

	const home: HomePage = {
		...data,
		Banner: data?.Banner?.data?.attributes,
		AdvertisementBanner: data?.AdvertisementBanner?.data?.attributes,
	};

	return <Home data={home} language="ar" />;
}
